//------------------------------------------------------------------------------
//
// File:    apsrandom.c
//
// Purpose: Random number generator based on Galua fields
//   
// (c) 2004 Plekhanov Andrey
//
// Initial version 0.1 27.05.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#include "apsrandom.h"

namespace aps {

  namespace apslib {

const unsigned long Poly = 2147483735U;

static unsigned int Current = 1;

static int Sum( const unsigned long Number )
{
  unsigned int  i;
  unsigned long Register;
  int           Count;

  Count = 0;
  Register = 1;

  for( i = 0; i < 8 * sizeof( unsigned long ); i++ ) {
    if( Register & Number ) {
      Count++;
    }

    Register = Register + Register;
  }

  return( Count );
}

static unsigned long GenerateNextNumber( void )
{
  if( Sum( Current & Poly ) % 2 ) {
    Current = Current + Current;
    Current++;
  }
  else {
    Current = Current + Current;
  }

  return( Current );
}

void SetCurrent( const unsigned long NewCurrent )
{
  Current = NewCurrent;
}

unsigned long GetRandomNumber( const unsigned long Module )
{
  if( Module ) {
    return( ( GenerateNextNumber() - 1 ) % Module );
  }

  return( 0 );
}

}}

//---------------------------- End of file ---------------------------

