//------------------------------------------------------------------------------
//
// File:    xlifeConfig.cc
//
// Purpose: XLife application config parameters
//   
// (c) Plekhanov Andrey
//
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#include "xlifeConfig.h"

namespace aps {

  namespace xlifeappl {

XLifeConfig :: XLifeConfig( void ) : APSConfig()
{
  AddParameter( "BorderField", apslib::PARAM_INTEGER );
  AddParameter( "Delta", apslib::PARAM_INTEGER );
  AddParameter( "Width", apslib::PARAM_INTEGER );
  AddParameter( "Height", apslib::PARAM_INTEGER );
  AddParameter( "InitRandom", apslib::PARAM_INTEGER );
}

XLifeConfig :: ~XLifeConfig( void )
{
}

int XLifeConfig :: GetBorderField( int & BorderField ) const
{
  return( GetIntegerValue( "BorderField", BorderField ) );
}

int XLifeConfig :: GetDelta( int & Delta ) const
{
  return( GetIntegerValue( "Delta", Delta ) );
}

int XLifeConfig :: GetWidth( int & Width ) const
{
  return( GetIntegerValue( "Width", Width ) );
}

int XLifeConfig :: GetHeight( int & Height ) const
{
  return( GetIntegerValue( "Height", Height ) );
}

int XLifeConfig :: GetInitRandom( int & InitRandom ) const
{
  return( GetIntegerValue( "InitRandom", InitRandom ) );
}

}}

//---------------------------- End of file ---------------------------

