//------------------------------------------------------------------------------
//
// File:    xlifeSubModule.cc
//
// Purpose: Submodule for XLife program.
//   
// (c) Plekhanov Andrey
//
// Initial version 0.1 16.02.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#include "xlifeModuleAppl.h"
#include "xlifeSubModule.h"

namespace aps {

  namespace xlifeappl {

//======================= XLifeSubModule ==========================

XLifeSubModule :: XLifeSubModule( XLifeModuleAppl * pOwner ) :
                  APSSubModule( pOwner )
{
}

XLifeSubModule :: ~XLifeSubModule( void )
{
}

int XLifeSubModule :: WarningMessage( const int MsgNumber, const std::string & Msg, const APSAbsModule * pSubModule ) const
{
  switch( MsgNumber ) {
    default:;
  }

  return( APSSubModule :: WarningMessage( MsgNumber, Msg, pSubModule ) );
}

const XLifeModuleAppl * XLifeSubModule :: GetXLifeModuleApplPtr( void ) const
{
  return( static_cast<const XLifeModuleAppl *>( GetOwnerPtr() ) );
}

int XLifeSubModule :: GetBorderField( void ) const
{
  return( GetXLifeModuleApplPtr()->GetBorderField() );
}

int XLifeSubModule :: GetDelta( void ) const
{
  return( GetXLifeModuleApplPtr()->GetDelta() );
}

int XLifeSubModule :: GetWidth( void ) const
{
  return( GetXLifeModuleApplPtr()->GetWidth() );
}

int XLifeSubModule :: GetHeight( void ) const
{
  return( GetXLifeModuleApplPtr()->GetHeight() );
}

int XLifeSubModule :: GetInitRandom( void ) const
{
  return( GetXLifeModuleApplPtr()->GetInitRandom() );
}

bool XLifeSubModule :: IfWidth( void ) const
{
  return( GetXLifeModuleApplPtr()->IfWidth() );
}

bool XLifeSubModule :: IfHeight( void ) const
{
  return( GetXLifeModuleApplPtr()->IfHeight() );
}

bool XLifeSubModule :: IfInitRandom( void ) const
{
  return( GetXLifeModuleApplPtr()->IfInitRandom() );
}

}}

//---------------------------- End of file ---------------------------

