//------------------------------------------------------------------------------
//
// File:    xlifeSubModule.h
//
// Purpose: Submodule for XLife program.
//   
// (c) Plekhanov Andrey
//
// Initial version 0.1 16.02.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#ifndef XLIFE_SUB_MODULE_H
#define XLIFE_SUB_MODULE_H

#include "apssubmodule.h"

namespace aps {

  namespace xlifeappl {

class XLifeModuleAppl;

using apslib::APSSubModule;
using apslib::APSAbsModule;

//======================= XLifeSubModule ==========================

class XLifeSubModule : public APSSubModule
{
  private:

    const XLifeModuleAppl * GetXLifeModuleApplPtr( void ) const;

  public:

    XLifeSubModule( XLifeModuleAppl * pOwner );

    virtual ~XLifeSubModule( void );

    virtual int WarningMessage( const int MsgNumber, const std::string & Msg, const APSAbsModule * pSubModule ) const;

    int GetBorderField( void ) const;

    int GetDelta( void ) const;

    int GetWidth( void ) const;

    int GetHeight( void ) const;

    int GetInitRandom( void ) const;

    bool IfWidth( void ) const;

    bool IfHeight( void ) const;

    bool IfInitRandom( void ) const;
};

}}

#endif

//---------------------------- End of file ---------------------------
