//------------------------------------------------------------------------------
//
// File:    xlifeModule.cc
//
// Purpose: Module XLife application.
//   
// (c) Plekhanov Andrey
//
// Initial version 0.1 16.02.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#include "xlifeModule.h"
#include "xlifeSubModule.h"

namespace aps {

  namespace xlifeappl {

//================================== XLifeModule =================================

XLifeModule :: XLifeModule( XLifeSubModule * pOwner ) :
                            APSModule( "XLifeModule", pOwner )
{
}

XLifeModule :: ~XLifeModule( void )
{
}

const std::string XLifeModule :: GetMessageText( const int MsgNumber ) const
{
  switch( MsgNumber ) {
    case XLIFE_NO_ERROR:
      return("No error.\n");
    case XLIFE_OPEN_DISPLAY:
      return("Can't open display\n");
    default:;
  }

  return( APSModule :: GetMessageText( MsgNumber ) );
}

const XLifeSubModule * XLifeModule :: GetXLifeSubModulePtr( void ) const
{
  return( static_cast<const XLifeSubModule *>( GetOwnerPtr() ) );
}

int XLifeModule :: GetBorderField( void ) const
{
  return( GetXLifeSubModulePtr()->GetBorderField() );
}

int XLifeModule :: GetDelta( void ) const
{
  return( GetXLifeSubModulePtr()->GetDelta() );
}

int XLifeModule :: GetWidth( void ) const
{
  return( GetXLifeSubModulePtr()->GetWidth() );
}

int XLifeModule :: GetHeight( void ) const
{
  return( GetXLifeSubModulePtr()->GetHeight() );
}

int XLifeModule :: GetInitRandom( void ) const
{
  return( GetXLifeSubModulePtr()->GetInitRandom() );
}

bool XLifeModule :: IfWidth( void ) const
{
  return( GetXLifeSubModulePtr()->IfWidth() );
}

bool XLifeModule :: IfHeight( void ) const
{
  return( GetXLifeSubModulePtr()->IfHeight() );
}

bool XLifeModule :: IfInitRandom( void ) const
{
  return( GetXLifeSubModulePtr()->IfInitRandom() );
}

}}

//---------------------------- End of file ---------------------------



